%define api		1.0
%define bname		gstreamer%{api}
%define name		%{bname}-plugins-bad

%define build_plf	0
%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

%define build_experimental	0
%{?_with_experimental: %{expand: %%global build_experimental 1}}
%define build_amrwb	0
%define build_faac	0
%define build_faad	0
%define build_xvid	0
%define build_dts	0
%define build_dirac	0
%define build_gme	1

%if %build_plf
%define build_amrwb	0
%define build_faac	0
%define build_faad	1
%define build_xvid	0
%define build_dts	1
%endif

%define libmajor	0
%define libnamephoto	%mklibname gstphotography %{api} %{libmajor}
%define libnamecodecparsers %mklibname gstcodecparsers %{api} %{libmajor}
%define libnamebase	%mklibname gstbasecamerabinsrc %{api} %{libmajor}
%define libnameegl	%mklibname gstegl %{api} %{libmajor}
%define libnameinsertbin %mklibname gstinsertbin %{api} %{libmajor}
%define libnamempegts	%mklibname gstmpegts %{api} %{libmajor}
%define libnameuridownloader %mklibname gsturidownloader %{api} %{libmajor}
%define girname		%mklibname gstreamer-plugins-bad-gir %{api}
%define develname	%mklibname -d gstreamer-plugins-bad %{api}

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%{name}
Version: 	1.2.2
Release: 	%mkrel 1
License: 	LGPLv2+ and GPLv2+
Group: 		Sound/Utilities
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.xz
Patch0:		gst-plugins-bad-0.10.7-wildmidi-timidity.cfg.patch
# ovitters: doesn't apply
#Patch1:		gst-plugins-bad-0.10.22-disable-example.patch
# gw: fix for bug #36437 (paths to realplayer codecs)
# prefer codecs from the RealPlayer package in restricted
Patch10:	gst-plugins-bad-0.10.6-real-codecs-path.patch
URL:		http://gstreamer.freedesktop.org/

%ifarch %ix86
BuildRequires:	nasm => 0.90
%endif

%ifnarch %arm %mips
BuildRequires:	pkgconfig(valgrind)
%endif
BuildRequires: pkgconfig(bluez)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(directfb) >= 0.9.24
BuildRequires: pkgconfig(dvdnav) >= 4.1.2
BuildRequires: pkgconfig(dvdread) >= 4.1.2
BuildRequires: pkgconfig(egl)
BuildRequires: pkgconfig(fluidsynth) >= 1.0
BuildRequires: pkgconfig(gio-2.0) >= 2.25.0
BuildRequires: pkgconfig(glesv2)
BuildRequires: pkgconfig(gmodule-export-2.0)
BuildRequires: pkgconfig(gmodule-no-export-2.0)
BuildRequires: pkgconfig(gnutls) >= 2.11.3
BuildRequires: pkgconfig(gstreamer-video-1.0)
BuildRequires: pkgconfig(gudev-1.0)
BuildRequires: pkgconfig(libass) >= 0.9.4
BuildRequires: pkgconfig(libcdaudio)
BuildRequires: pkgconfig(libchromaprint)
BuildRequires: pkgconfig(libcrypto)
BuildRequires: pkgconfig(libcurl) >= 7.21.0
BuildRequires: pkgconfig(libdc1394-2) >= 2.0.0
BuildRequires: pkgconfig(libexif) >= 0.6.16
BuildRequires: pkgconfig(libmimic) >= 1.0
BuildRequires: pkgconfig(libmms) >= 0.4
BuildRequires: pkgconfig(libmodplug)
BuildRequires: pkgconfig(libmpg123) >= 1.13
BuildRequires: pkgconfig(libofa) >= 0.9.3
BuildRequires: pkgconfig(libopenjpeg1)
BuildRequires: pkgconfig(librsvg-2.0) >= 2.36
BuildRequires: pkgconfig(librtmp)
BuildRequires: pkgconfig(libusb-1.0)
BuildRequires: pkgconfig(libwebp) >= 0.2.1
BuildRequires: pkgconfig(libxml-2.0) >= 2.4
BuildRequires: pkgconfig(lrdf)
BuildRequires: pkgconfig(mjpegtools)
BuildRequires: pkgconfig(neon) >= 0.27.0
BuildRequires: pkgconfig(neon) <= 0.30.99
BuildRequires: pkgconfig(openal) >= 1.14
BuildRequires: pkgconfig(opencv) >= 2.0.0
BuildRequires: pkgconfig(opencv) <= 2.4.6.1
BuildRequires: pkgconfig(openssl) >= 0.9.5
BuildRequires: pkgconfig(opus) >= 0.9.4
BuildRequires: pkgconfig(sbc) >= 1.0
BuildRequires: pkgconfig(schroedinger-1.0) >= 1.0.10
BuildRequires: pkgconfig(slv2) >= 0.6.6
BuildRequires: pkgconfig(sndfile) >= 1.0.16
BuildRequires: pkgconfig(soundtouch)
BuildRequires: pkgconfig(spandsp) >= 0.0.6
BuildRequires: pkgconfig(vdpau)
BuildRequires: pkgconfig(wayland-client) >= 1.0.0
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(zbar) >= 0.9
BuildRequires: pkgconfig(zvbi-0.2)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-1.0) >= %{version}
%if %build_plf
BuildRequires:	pkgconfig(vo-aacenc)
BuildRequires:	pkgconfig(vo-amrwbenc)
%endif
BuildRequires:	gobject-introspection-devel
BuildRequires:  libgme-devel
BuildRequires:	ladspa-devel
BuildRequires:	srtp-devel
BuildRequires:	wildmidi-devel
#gw for autoreconf
BuildRequires:	gettext-devel
Conflicts:	gstreamer1.0-plugins-base < 0.11.94

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that aren't up to par compared
to the rest. They might be close to being good quality, but they're
missing something - be it a good code review, some documentation, a
set of tests, a real live maintainer, or some actual wide use. If the
blanks are filled in they might be upgraded to become part of either
gstreamer-plugins-good or gstreamer-plugins-ugly, depending on the
other factors. If the plug-ins break, you can't complain - instead,
you can fix the problem and send us a patch, or bribe someone into
fixing them for you.  New contributors can start here for things to
work on.

%if %build_plf
This package is in the 'tainted' section as it violates some patents.
%endif


%package -n %{libnamephoto}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libnamephoto}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamephoto}
%{_libdir}/libgstphotography-%{api}.so.%{libmajor}*

%package -n %{libnamecodecparsers}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries
Conflicts:	%{_lib}gstphotography1.0_0 < 1.1.90

%description -n %{libnamecodecparsers}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamecodecparsers}
%{_libdir}/libgstcodecparsers-%{api}.so.%{libmajor}*

%package -n %{libnamebase}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
Obsoletes:	%{_lib}gstbasevideo1.0_0 < 1.1.90

%description -n %{libnamebase}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamebase}
%{_libdir}/libgstbasecamerabinsrc-%{api}.so.%{libmajor}*

%package -n %{libnameegl}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnameegl}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnameegl}
%{_libdir}/libgstegl-%{api}.so.%{libmajor}*

%package -n %{libnameinsertbin}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnameinsertbin}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnameinsertbin}
%{_libdir}/libgstinsertbin-%{api}.so.%{libmajor}*

%package -n %{libnamempegts}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnamempegts}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamempegts}
%{_libdir}/libgstmpegts-%{api}.so.%{libmajor}*

%package -n %{libnameuridownloader}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnameuridownloader}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnameuridownloader}
%{_libdir}/libgsturidownloader-%{api}.so.%{libmajor}*

%package -n %{develname}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libnamephoto} = %{version}
Requires:	%{libnamecodecparsers} = %{version}
Requires:	%{libnamebase} = %{version}
Requires:	%{libnameegl} = %{version}
Requires:	%{libnameinsertbin} = %{version}
Requires:	%{libnamempegts} = %{version}
Requires:	%{libnameuridownloader} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gstbasevideo1.0-devel < 1.1.90
Obsoletes:	%{_lib}gstphotographyi1.0-devel < 1.1.90

%description -n %{develname}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %develname
%{_libdir}/libgst*-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gstreamer-%{api}/gst/*
%{_datadir}/gir-1.0/GstEGL-%{api}.gir
%{_datadir}/gir-1.0/GstInsertBin-%{api}.gir
%{_datadir}/gir-1.0/GstMpegts-%{api}.gir

%package -n %{bname}-curl
Summary:	GStreamer Curl plugin
Group:		Networking/Other

%description -n %{bname}-curl
This is a HTTP plugin for GStreamer based on the curl library.

%files -n %{bname}-curl
%{_libdir}/gstreamer-%{api}/libgstcurl.so

%package -n %{bname}-mpeg2enc
Summary:	GStreamer mjpegtools plug-in
Group:		Video/Utilities

%description -n %{bname}-mpeg2enc
mjpegtools-based encoding and decoding plug-in.

%files -n %{bname}-mpeg2enc
%{_libdir}/gstreamer-%{api}/libgstmpeg2enc.so
%{_libdir}/gstreamer-%{api}/libgstmplex.so

%if %build_gme
%package -n %{bname}-gme
Summary:	GStreamer Game Music plug-in
Group:		Sound/Utilities

%description -n %{bname}-gme
Game Music decoding plug-in.

%files -n %{bname}-gme
%{_libdir}/gstreamer-%{api}/libgstgme.so
%endif

%package -n %{bname}-schroedinger
Summary:	GStreamer dirac plug-in based on Schroedinger
Group:		Video/Utilities
Epoch: 1

%description -n %{bname}-schroedinger
Dirac encoding and decoding plug-in based on Schroedinger.

%files -n %{bname}-schroedinger
%{_libdir}/gstreamer-%{api}/libgstschro.so

%if %build_xvid
%package -n %{bname}-xvid
Summary:	GStreamer plug-ins for XVID video encoding and decoding
Group:		Video/Utilities
BuildRequires:	xvid-devel >= 1.1
 
%description -n %{bname}-xvid
Plug-ins for encoding and decoding XVID video.
 
This package is in the 'tainted' section as it violates some patents.
%files -n %{bname}-xvid
%{_libdir}/gstreamer-%{api}/libgstxvid.so
%endif

%package -n %{bname}-mms
Summary:	GStreamer plug-in for mms streams
Group:		System/Libraries
Requires:	%{bname}-plugins = %{version}

%description -n %{bname}-mms
Plug-in supporting the mms protocol based on the libmms library.

%files -n %{bname}-mms
%{_libdir}/gstreamer-%{api}/libgstmms.so

%package -n %{bname}-rtmp
Summary:	GStreamer plug-in for rtmp streams
Group:		System/Libraries
Requires:	%{bname}-plugins = %{version}

%description -n %{bname}-rtmp
Plug-in supporting the rtmp protocol based on the librtmp library.

%files -n %{bname}-rtmp
%{_libdir}/gstreamer-%{api}/libgstrtmp.so

%package -n %{bname}-soundtouch
Summary:	GStreamer plug-in for SoundTouch support
Group:		Sound/Utilities
Requires:	%{bname}-plugins = %{version}

%description -n %{bname}-soundtouch
Plug-in supporting the SoundTouch audio manipulation support.

%files -n %{bname}-soundtouch
%{_libdir}/gstreamer-%{api}/libgstsoundtouch.so

%package -n %{bname}-libass
Summary:	GStreamer subtitles plugin
Group:		Video/Utilities

%description -n %{bname}-libass
This is a subtitle plugin for GStreamer based on libass.

%files -n %{bname}-libass
%{_libdir}/gstreamer-%{api}/libgstassrender.so

%package -n %{bname}-opencv
Summary:	GStreamer OpenCV Plugins
Group:		Video/Utilities

%description -n %{bname}-opencv
GStreamer OpenCV Plugins.

%files -n %{bname}-opencv
%{_libdir}/gstreamer-%{api}/libgstopencv.so
%{_datadir}/gst-plugins-bad/%{api}/opencv_haarcascades/*.xml

%package -n %{bname}-wildmidi
Summary:	GStreamer wildmidi Plugins
Group:		Sound/Midi
Requires:	timidity-instruments

%description -n %{bname}-wildmidi
GStreamer wildmidi Plugins.

%files -n %{bname}-wildmidi
%{_libdir}/gstreamer-%{api}/libgstwildmidi.so

%package doc
Group:		Documentation
Summary:	GStreamer application library
BuildArch:	noarch

%description doc
This is the documentation of %{name}.

%package -n %{girname}
Group:		System/Libraries
Summary:	Object Introspection interface description for %{name}
Requires:	%{libnameegl} = %{version}
Requires:	%{libnameinsertbin} = %{version}
Requires:	%{libnamempegts} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/GstEGL-%{api}.typelib
%{_libdir}/girepository-1.0/GstInsertBin-%{api}.typelib
%{_libdir}/girepository-1.0/GstMpegts-%{api}.typelib

%prep
%setup -q -n gst-plugins-bad-%{version}
%apply_patches

%build
%configure2_5x --disable-dependency-tracking --disable-static \
  --with-package-name='%distribution %{name} package' \
  --with-package-origin='http://www.mageia.org/' \
%if ! %build_faac
	--disable-faac \
%endif
%if ! %build_faad
	--disable-faad \
%endif
%if ! %build_dirac
        --disable-dirac \
%endif
%if ! %build_xvid
        --disable-xvid \
%endif
%if ! %build_dts
        --disable-dts \
%endif
%if ! %build_plf
        --disable-voamrwbenc --disable-voaacenc \
%endif
%if %build_experimental
	--enable-experimental
%endif

make

%install
%makeinstall_std

%find_lang gst-plugins-bad-%{api}

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
find %{buildroot} -name '*.la' -delete

%files doc
%doc docs/plugins/html
%{_datadir}/gtk-doc/html/

%files -f gst-plugins-bad-%{api}.lang
%doc AUTHORS COPYING README NEWS 
%{_libdir}/gstreamer-%{api}/libgstadpcmdec.so
%{_libdir}/gstreamer-%{api}/libgstadpcmenc.so
%{_libdir}/gstreamer-%{api}/libgstasfmux.so
%{_libdir}/gstreamer-%{api}/libgstaudiovisualizers.so
%{_libdir}/gstreamer-%{api}/libgstautoconvert.so
%{_libdir}/gstreamer-%{api}/libgstbayer.so
%{_libdir}/gstreamer-%{api}/libgstcamerabin2.so
%{_libdir}/gstreamer-%{api}/libgstcoloreffects.so
%{_libdir}/gstreamer-%{api}/libgstdataurisrc.so
%{_libdir}/gstreamer-%{api}/libgstdebugutilsbad.so
%{_libdir}/gstreamer-%{api}/libgstdvb.so
%{_libdir}/gstreamer-%{api}/libgstdvbsuboverlay.so
%{_libdir}/gstreamer-%{api}/libgstdvdspu.so
%{_libdir}/gstreamer-%{api}/libgstfbdevsink.so
%{_libdir}/gstreamer-%{api}/libgstfieldanalysis.so
%{_libdir}/gstreamer-%{api}/libgstfestival.so
%{_libdir}/gstreamer-%{api}/libgstfrei0r.so
%{_libdir}/gstreamer-%{api}/libgstgaudieffects.so
%{_libdir}/gstreamer-%{api}/libgstgdp.so
%{_libdir}/gstreamer-%{api}/libgstgeometrictransform.so
%{_libdir}/gstreamer-%{api}/libgstid3tag.so
%{_libdir}/gstreamer-%{api}/libgstinter.so
%{_libdir}/gstreamer-%{api}/libgstinterlace.so
%{_libdir}/gstreamer-%{api}/libgstjpegformat.so
%{_libdir}/gstreamer-%{api}/libgstliveadder.so
%{_libdir}/gstreamer-%{api}/libgstmpegtsmux.so
%{_libdir}/gstreamer-%{api}/libgstmpegpsmux.so
%{_libdir}/gstreamer-%{api}/libgstchromaprint.so
%{_libdir}/gstreamer-%{api}/libgstmfc.so
%{_libdir}/gstreamer-%{api}/libgstmidi.so
%{_libdir}/gstreamer-%{api}/libgstmimic.so
%{_libdir}/gstreamer-%{api}/libgstzbar.so
%{_libdir}/gstreamer-%{api}/libgstmpegpsdemux.so
%{_libdir}/gstreamer-%{api}/libgstopenal.so
%{_libdir}/gstreamer-%{api}/libgstopenjpeg.so
%{_libdir}/gstreamer-%{api}/libgstopus.so
%{_libdir}/gstreamer-%{api}/libgstpcapparse.so
%{_libdir}/gstreamer-%{api}/libgstpnm.so
%{_libdir}/gstreamer-%{api}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{api}/libgstrawparse.so
%{_libdir}/gstreamer-%{api}/libgstremovesilence.so
%{_libdir}/gstreamer-%{api}/libgstsdpelem.so
%{_libdir}/gstreamer-%{api}/libgstsegmentclip.so
%{_libdir}/gstreamer-%{api}/libgstshm.so
%{_libdir}/gstreamer-%{api}/libgstsiren.so
%{_libdir}/gstreamer-%{api}/libgstsmooth.so
%{_libdir}/gstreamer-%{api}/libgstspeed.so
%{_libdir}/gstreamer-%{api}/libgstsubenc.so
%{_libdir}/gstreamer-%{api}/libgstbz2.so
%{_libdir}/gstreamer-%{api}/libgstfragmented.so
%{_libdir}/gstreamer-%{api}/libgstmpegtsdemux.so
%{_libdir}/gstreamer-%{api}/libgstvideoparsersbad.so
%{_libdir}/gstreamer-%{api}/libgstwaylandsink.so
%{_libdir}/gstreamer-%{api}/libgstmpg123.so
%{_libdir}/gstreamer-%{api}/libgstresindvd.so
%{_libdir}/gstreamer-%{api}/libgstdecklink.so
%if %{build_plf}
%{_libdir}/gstreamer-%{api}/libgstvoaacenc.so
%{_libdir}/gstreamer-%{api}/libgstvoamrwbenc.so
%{_datadir}/gstreamer-%{api}/presets/GstVoAmrwbEnc.prs
%endif
%{_libdir}/gstreamer-%{api}/libgstmodplug.so
%{_libdir}/gstreamer-%{api}/libgsty4mdec.so
%{_libdir}/gstreamer-%{api}/libgstaccurip.so
%{_libdir}/gstreamer-%{api}/libgstaiff.so
%{_libdir}/gstreamer-%{api}/libgstaudiofxbad.so
%{_libdir}/gstreamer-%{api}/libgstfreeverb.so
%{_libdir}/gstreamer-%{api}/libgstivtc.so
%{_libdir}/gstreamer-%{api}/libgstmxf.so
%{_libdir}/gstreamer-%{api}/libgstvideofiltersbad.so
%{_libdir}/gstreamer-%{api}/libgstwebp.so
%{_libdir}/gstreamer-%{api}/libgstyadif.so
%{_libdir}/gstreamer-%{api}/libgstrsvg.so
%{_libdir}/gstreamer-%{api}/libgstuvch264.so
%{_libdir}/gstreamer-%{api}/libgstvdpau.so

%if %build_faad
%package -n %{bname}-faad
Summary:	GStreamer plug-in for AAC audio playback
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %version
BuildRequires:	libfaad2-devel => 2.0
 
%description -n %{bname}-faad
Plug-ins for playing AAC audio
 
This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-faad
%{_libdir}/gstreamer-%{api}/libgstfaad.so
%endif

%if %build_faac
%package -n %{bname}-faac
Summary:	GStreamer plug-ins for AAC audio encoding
Group:		Sound
Requires:	%{bname}-plugins >= %version
BuildRequires:	libfaac-devel
 
%description -n %{bname}-faac
Plug-ins for encoding AAC audio
 
This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-faac
%{_libdir}/gstreamer-%{api}/libgstfaac.so
%endif

%package -n %{bname}-gsm
Summary:	GStreamer plugin for GSM lossy audio format
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	gsm-devel >= 1.0.10

%description -n %{bname}-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n %{bname}-gsm
%{_libdir}/gstreamer-%{api}/libgstgsm.so

%if %build_amrwb
%package -n %{bname}-amrwb
Summary:	GStreamer plug-in for AMR-WB support
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	libamrwb-devel

%description -n %{bname}-amrwb
Plug-in for decoding AMR-WB under GStreamer.

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-amrwb
%{_datadir}/gstreamer-%{api}/presets/GstAmrwbEnc.prs
%{_libdir}/gstreamer-%{api}/libgstamrwbenc.so
%endif

%package -n %{bname}-dash
Summary:	GStreamer plugin for Dynamic Adaptive Streaming over HTTP
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-dash
Dynamic Adaptive Streaming over HTTP demuxer.

%files -n %{bname}-dash
%{_libdir}/gstreamer-%{api}/libgstdashdemux.so

%package -n %{bname}-directfb
Summary:	GStreamer plugin for DirectFB video sink
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-directfb
A DirectFB based videosink.

%files -n %{bname}-directfb
%{_libdir}/gstreamer-%{api}/libgstdfbvideosink.so

%package -n %{bname}-eglgles
Summary:	GStreamer plugin for EGL/GLES vout Sink
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-eglgles
EGL/GLES vout Sink.

%files -n %{bname}-eglgles
%{_libdir}/gstreamer-%{api}/libgsteglglessink.so

%package -n %{bname}-fluidsynth
Summary:	GStreamer plugin for Midi Synthesizer Element
Group:		Sound/Midi
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-fluidsynth
Midi Synthesizer Element.

%files -n %{bname}-fluidsynth
%{_libdir}/gstreamer-%{api}/libgstfluidsynthmidi.so

%package -n %{bname}-ladspa
Summary:	GStreamer plugin for LADSPA plugin
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-ladspa
LADSPA plugin.

%files -n %{bname}-ladspa
%{_libdir}/gstreamer-%{api}/libgstladspa.so

%package -n %{bname}-neon
Summary:	GStreamer plugin for NEON plugin
Group:		Networking/Other
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-neon
Receive data as a client over the network via HTTP using NEON.

%files -n %{bname}-neon
%{_libdir}/gstreamer-%{api}/libgstneonhttpsrc.so

%package -n %{bname}-ofa
Summary:	GStreamer plugin for MusicIP Fingerprinting element
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-ofa
Find a music fingerprint using MusicIP's libofa.

%files -n %{bname}-ofa
%{_libdir}/gstreamer-%{api}/libgstofa.so

%package -n %{bname}-sbc
Summary:	GStreamer plugin for Bluetooth SBC audio encoder/decoder
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-sbc
Encode/Decode an SBC audio stream.

%files -n %{bname}-sbc
%{_libdir}/gstreamer-%{api}/libgstsbc.so

%package -n %{bname}-smoothstreaming
Summary:	GStreamer plugin for Microsoft's Smooth Streaming format
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-smoothstreaming
Microsoft's Smooth Streaming format support.

%files -n %{bname}-smoothstreaming
%{_libdir}/gstreamer-%{api}/libgstsmoothstreaming.so

%package -n %{bname}-spandsp
Summary:	GStreamer plugin for libspandsp
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-spandsp
libspandsp plugin.

%files -n %{bname}-spandsp
%{_libdir}/gstreamer-%{api}/libgstspandsp.so

%package -n %{bname}-srtp
Summary:	GStreamer plugin for srtp
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-srtp
GStreamer SRTP plugin.

%files -n %{bname}-srtp
%{_libdir}/gstreamer-%{api}/libgstsrtp.so



%changelog
* Thu Jan 23 2014 gw666 <gw666> 1.2.2-1.mga4
+ Revision: 567577
- new version (bug #12142)
- add introspection support

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-2.mga4.tainted
+ Revision: 536918
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 fwang <fwang> 1.2.0-1.mga4.tainted
+ Revision: 485817
- new version 1.2.0

* Sun Sep 22 2013 fwang <fwang> 1.1.90-1.mga4.tainted
+ Revision: 483124
- update file list
- update br
- drop in-exist br
- cleanup spec
- new version 1.1.90

* Thu Aug 29 2013 fwang <fwang> 1.0.10-1.mga4.tainted
+ Revision: 472795
- new version 1.0.10

* Thu Aug 01 2013 fwang <fwang> 1.0.9-1.mga4.tainted
+ Revision: 461965
- update file list
- new version 1.0.9

* Fri May 24 2013 fwang <fwang> 1.0.7-1.mga4.tainted
+ Revision: 425896
- update file list
- new version 1.0.7

* Sat Mar 02 2013 rtp <rtp> 1.0.5-4.mga3
+ Revision: 401057
- disable valgrind BR on arm/mips.

* Tue Jan 29 2013 fwang <fwang> 1.0.5-3.mga3.tainted
+ Revision: 393149
- br opencv

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3.tainted
+ Revision: 352755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1.0.5-1.mga3.tainted
+ Revision: 343542
- update file list
- new version 1.0.5

* Fri Dec 21 2012 cjw <cjw> 1.0.4-1.mga3.tainted
+ Revision: 333548
- 1.0.4
- drop unused BuildRequires: pkgconfig(libcdaudio)
- add BuildRequires: pkgconfig(libchromaprint) for chromaprint plugin
- add BuildRequires: pkgconfig(dvdnav) pkgconfig(dvdread) for resindvd plugin
- add BuildRequires: pkgconfig(libmpg123) for mpg123 plugin
- add BuildRequires: pkgconfig(zbar) for zbar plugin

* Fri Nov 23 2012 fwang <fwang> 1.0.3-1.mga3.tainted
+ Revision: 321184
- new version 1.0.3

* Thu Nov 08 2012 colin <colin> 1.0.2-2.mga3.tainted
+ Revision: 316273
- Rename the vp8 plugin to rtpvp8 as the real vp8 is now in -good

* Thu Oct 25 2012 fwang <fwang> 1.0.2-1.mga3.tainted
+ Revision: 309999
- update file list
- new version 1.0.2

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3.tainted
+ Revision: 303374
- update rpm group

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 303362
- update rpm group
- update file list
- new version 1.0.1

* Mon Sep 24 2012 fwang <fwang> 1.0.0-1.mga3.tainted
+ Revision: 297087
- new version 1.0.0

* Tue Sep 18 2012 fwang <fwang> 0.11.99-1.mga3.tainted
+ Revision: 295773
- update file list
- update file list
- new version 0.11.99

* Sat Sep 15 2012 fwang <fwang> 0.11.94-2.mga3.tainted
+ Revision: 294185
- opencv not ready now
- rebuild for rpm gst1.0 provides

* Fri Sep 14 2012 fwang <fwang> 0.11.94-1.mga3.tainted
+ Revision: 293814
- update file list
- update file list
- new version 0.11.94

  + blino <blino>
    - package soundtouch plugin (pitch element is required by totem)

* Wed Sep 05 2012 fwang <fwang> 0.11.93-3.mga3.tainted
+ Revision: 288351
- xvid not ported to new api

* Wed Sep 05 2012 fwang <fwang> 0.11.93-3.mga3
+ Revision: 288330
- drop unneed obsoletes so that gst 1.0 and 0.10 can co-exist

* Wed Sep 05 2012 fwang <fwang> 0.11.93-2.mga3
+ Revision: 288324
- drop glib req
- more cleanup on spec
- drop unused obsolete so that we could make 1.0 and 0.10 co-exist
- cleanup spec, and rename devel package so that it won't conflict with gst0.10

  + ovitters <ovitters>
    - clean spec

* Tue Sep 04 2012 ovitters <ovitters> 0.11.93-1.mga3
+ Revision: 288230
- br gstreamer-1.0
- imported package gstreamer1.0-plugins-bad

